<div>
    <h2>
        <span jhiTranslate="typerApp.bet.home.title">Bets</span>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="bets">
        <table class="table table-striped">
            <thead>
            <tr>
            <th><span jhiTranslate="typerApp.bet.date">Date</span></th>
            <th><span jhiTranslate="typerApp.bet.type">Type</span></th>
            <th><span jhiTranslate="typerApp.bet.game">Game</span></th>
            <th><span jhiTranslate="typerApp.bet.status">Status</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let bet of bets ;trackBy: trackId">
                <td>{{bet.date | date:'medium'}}</td>
                <td>{{bet.type == 1 ? 'Dokładny wynik' : bet.type == 2 ? 'Zakład prosty' : 'Zakład mieszany' }}</td>
                <td>
                    <div *ngIf="bet.game">
                        <a [routerLink]="['../game', bet.game?.id ]" >{{bet.game?.host.name + ' vs ' + bet.game?.guest.name}}</a>
                    </div>
                </td>
                <td>{{compareDates(bet.game.date) ? 'Nierozliczony' : 'Rozliczony'}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../bet', bet.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'bet/'+ bet.id + '/edit'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'bet/'+ bet.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
